---
title: "Delete file by ID"
slug: "delete-file-by-id"
updated: 2026-04-01T03:43:19Z
published: 2026-04-01T03:43:19Z
canonical: "docs.xendit.co/delete-file-by-id"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xendit.co/llms.txt
> Use this file to discover all available pages before exploring further.
# Delete file by ID
Delete/files/{file_id}
Make a Delete request to this endpoint to delete the file
SecurityHTTPType Basic
Path parametersfile_idstringRequired
Unique ID generated by Xendit for the particular file
Responses200
Successful operation
deleteFile
```json
{
"is_deleted": true,
"id": "file-ec700c1c-db17-4496-b1fb-04ebe551b412",
"business_id": "b647524d-9c5d-414c-843a-3c819853d6b0"
}
```
object idstring
File ID
business_idstring
Unique ID generated by Xendit for the particular file
is_deletedboolean
404
The provided `id` does not exist. Please review the `id` and try again
object error_codestring Valid values[
"RATE_LIMIT_EXCEEDED"
]
messagestring
errors Array OneOfstringstring
objectobject